vol2csv(1)

NAME
vol2csv - Compute regional volumes and write to CSV file.

SYNOPSIS
vol2csv RegionsImage DensityImages

DESCRIPTION
This tool computes the volumes of regions in a label image. It optionally accepts density maps (e.g., for different tissues) and computes and prints the per-region content for each. Also, the tool can accept an optional 'pixel volume' map to account for local pixel volume variations, e.g., due to spatial distortion.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Input Options

--normalize-densities <double>
    Optional normalization factor for density images. Typically, the values in the density images should be in the range 0..1, but often such images are scaled to different ranges to accomodate storage as integers. If, for example, densities are stored as values 0..255, set this paramater to 255. [Default: 1]

--labels-file <string>
    If provided, this text file contains names for all labels in the regions image. These names are then used to label the rows of the CSV output. [Default: NONE]

  Correction Options

--pixel-scale-factor <double>
    If provided, this global scale factor is applied to all pixel volumes to compensate for deviations between world and image scale. [Default: 1]

--pixel-scale-image <image-path>
    If provided, this volume contains scale factors for the volume of each pixel. This is typically the Jacobian determinant map of a spatial unwarping deformation. [Default: NONE]

  Output Options

--density-labels <string>
    This option can be used to provide labels for the density maps, which are used as column labels in the output. Labels must be separated by commas and must not contain any unescaped spaces. [Default: NONE]

--output <string>, -o <string>
    If provided, program output is written to this file. If not provided, output is written to the STDOUT stream. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.